package org.example.frayluisaaa;

import android.*;
import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;

import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;

public class MainActivity extends AppCompatActivity {

    private static MainActivity current;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_2);
    }

    public void lanzarAcercaDe(View view){
        Intent i = new Intent(this, AcercaDeActivity.class);
        startActivity(i);
    }

    public void lanzarCalendario(View view) {
        Intent i = new Intent(this, Calendario.class);
        startActivity(i);
    }

    public void lanzarEstadisticas(View view) {
        Intent i = new Intent(this, Estadisticas.class);
        startActivity(i);
    }

    public void lanzarContacto(View view) {
        Intent i = new Intent(this, Contacto.class);
        startActivity(i);
    }

    public void lanzarClasificacion(View view) {
        Intent i = new Intent(this, Info.class);
        startActivity(i);
    }

    @Override
    protected void onStart() {
        super.onStart();
        current=this;
    }
    public static MainActivity getCurrentContext() {
        return current;
    }

}
