package org.example.frayluisaaa;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

/**
 * Created by nacho on 29/08/2017.
 */

public class CalendarioLiga extends AppCompatActivity {

    private RecyclerView recyclerView;
    private RecyclerView.LayoutManager layoutManager;
    private DatabaseReference calendarioLigaReference;
    private FirebaseRecyclerAdapter adapter;
    private String jornada;
    private String posicion;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.calendario);
        recyclerView = (RecyclerView) findViewById(R.id.recycler_view);
        jornada = getIntent().getExtras().getString("jornada");
        posicion = getIntent().getExtras().getString("posicion");
        Aplicacion app = (Aplicacion) getApplicationContext();
        calendarioLigaReference = app.getCalendarioLigaReference();
        DatabaseReference ref = calendarioLigaReference.getRef().child(posicion).child(jornada);
        adapter = new AdaptadorCalendario(this,ref);
        layoutManager = new LinearLayoutManager(this);
        recyclerView.setLayoutManager(layoutManager);
        recyclerView.setAdapter(adapter);
    }
}
